On 12/17/12, Prog Rammer <lists / ruby-forum.com> wrote:
> $ gem install ruby-debug-base19x
> 1 
> Building native extensions.  This could take a while...
> ERROR:  Error installing ruby-debug-base19x:
>   ERROR: Failed to build gem native extension.
>
>         /home/proggrammer/.rvm/rubies/ruby-1.9.3-p286/bin/ruby
> extconf.rb
> checking for rb_method_entry_t.body in method.h... no
> checking for vm_core.h... no
> /home/proggrammer/.rvm/gems/ruby-1.9.3-p286/gems/ruby_core_source-0.1.5/lib/ruby_core_source.rb:39:
> Use RbConfig instead of obsolete and deprecated Config.
> checking for rb_method_entry_t.body in method.h... no
> checking for vm_core.h... yes
> checking for iseq.h... yes
> checking for insns.inc... yes
> checking for insns_info.inc... yes
> checking for eval_intern.h... yes
> creating Makefile
>
> make
> compiling breakpoint.c
> compiling ruby_debug.c
> ruby_debug.c:24:19: error: conflicting types for
> °∆rb_iseq_compile_with_option°«
> /home/proggrammer/.rvm/rubies/ruby-1.9.3-p286/include/ruby-1.9.1/ruby-1.9.3-p286/vm_core.h:505:7:
> note: previous declaration of °∆rb_iseq_compile_with_option°« was here
> make: *** [ruby_debug.o] Error 1

see http://stackoverflow.com/questions/8835522/unable-to-install-gem-ruby-debug19-on-win7-with-installd-ruby-1-9-2-and-1-9-3